org.apache.lucene.luke.app.desktop.util

## Class NumericUtils

- java.lang.Object
- - org.apache.lucene.luke.app.desktop.util.NumericUtils

    public class NumericUtils
    extends Object

Utilities for handling numeric values

### Method Summary

All Methods Static Methods Concrete Methods
`static double[]` `convertToDoubleArray(String value, boolean ignoreException)`
`static float[]` `convertToFloatArray(String value, boolean ignoreException)`
`static int[]` `convertToIntArray(String value, boolean ignoreException)`
`static long[]` `convertToLongArray(String value, boolean ignoreException)`
`static long` `tryConvertToLongValue(String value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### convertToIntArray

    public static int[] convertToIntArray(String value,
                                          boolean ignoreException)
                                   throws NumberFormatException

Throws:
  `NumberFormatException`

#### convertToLongArray

    public static long[] convertToLongArray(String value,
                                            boolean ignoreException)
                                     throws NumberFormatException

Throws:
  `NumberFormatException`

#### convertToFloatArray

    public static float[] convertToFloatArray(String value,
                                              boolean ignoreException)
                                       throws NumberFormatException

Throws:
  `NumberFormatException`

#### convertToDoubleArray

    public static double[] convertToDoubleArray(String value,
                                                boolean ignoreException)
                                         throws NumberFormatException

Throws:
  `NumberFormatException`

#### tryConvertToLongValue

    public static long tryConvertToLongValue(String value)
                                      throws NumberFormatException

Throws:
  `NumberFormatException`